/*
 * UOT-100 ISDB-T 1-SEG Tuner driver
 *
 * Copyright (C) 2008 thara (pu2008@sourceforge.jp)
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2.
 *
 */

#ifndef _DVB_USB_UOT100_H_
#define _DVB_USB_UOT100_H_

#define DVB_USB_LOG_PREFIX "uot100"
#include "dvb-usb.h"

extern int dvb_usb_uot100_debug;
#define deb_info(args...)   dprintk(dvb_usb_uot100_debug,0x01,args)
#define deb_i2c(args...)    if (d->udev->descriptor.idVendor == USB_VID_MEDION) \
				dprintk(dvb_usb_uot100_debug,0x01,args)

#define CMD_I2C_WRITE     0x08
#define CMD_I2C_READ      0x09

#define UOT100_PACKET_SIZE	197

#endif
