/*
 * MTV211 Frontend driver
 *
 * Copyright (C) 2008 thara (pu2008@sourceforge.jp)
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2.
 *
 */

#ifndef MTV211_H
#define MTV211_H

#include <linux/dvb/frontend.h>
#include "dvb_frontend.h"

struct mtv211_config
{
	/* the demodulator's i2c address */
	u16 demod_address;
};

extern struct dvb_frontend* mtv211_attach(const struct mtv211_config* config, struct i2c_adapter* i2c);
extern struct dvb_frontend* mtv211_qpsk_attach(void);
extern struct dvb_frontend* mtv211_qam_attach(void);

#endif // MTV211_H
